package org.processmining.lpengines.utils;

import org.processmining.lpengines.interfaces.LPEngine;

public class LPEngineUtilities {

	/**
	 * Given a specific engine type (e.g. LPSOLVE, GUROBI, etc.) this utility
	 * returns the minimal variable index. LPSOLVE for example can not have a
	 * variable with index 0.
	 *
	 * @param engineType
	 *            used by the LPEngine
	 * @return minimal variable index.
	 */
	public static int minimalVariableIndex(LPEngine.EngineType engineType) {
		int result = 0;
		switch (engineType) {
			case LPSOLVE :
				result = 1;
				break;
			default :
				break;
		}
		return result;
	}

	/**
	 * Given a specific engine type (e.g. LPSOLVE, GUROBI, etc.) this utility
	 * returns the minimal constraint index. LPSOLVE for example can not have a
	 * constraint with index 0 as this actually represents the objective.
	 *
	 * @param engineType
	 *            used by the LPEngine
	 * @return minimal constraint index.
	 */
	public static int minimalConstraintIndex(LPEngine.EngineType engineType) {
		int result = 0;
		switch (engineType) {
			case LPSOLVE :
				result = 1;
				break;
			default :
				break;
		}
		return result;
	}

}
